Subject: [keyassure] comments on draft-hoffman-keys-linkage-from-dns-00.txt

From: Paul Wouters <[email-masked]>
Date: Mon, 23 Aug 2010 18:36:35 -0400 (EDT)

My comments on draft-hoffman-keys-linkage-from-dns-00.txt,

In section 2, three alternatives are proposed. I prefer alternative
number two (The TLSFP Resource Record).

I am curious why no sub-typing was suggested. Instead of getting a
list of port numbers, would it not be better to request the TLSFP RR
for a specific port? Was this done to make adoption easier by not
requiring a new kind of subtype query? Or is there a more fundamental
DNS reason for this pick? And if subtype queries are to be avoided,
would it not be an option to use a _protocol._port. entry to avoid
returning multiple options that a client then has to dig through?

Paul